<script setup>
import { computed, onMounted, reactive, ref } from "vue";
import { useStore } from "vuex";
import { useRouter, useRoute } from "vue-router";
import * as chartConfig from "@/components/Charts/chart.config.js";
import TitleBar from "@/components/TitleBar.vue";
import CardWidget from "@/components/CardWidget.vue";
import Institute from "@/api/institute";
import { useToast } from "vue-toastification";
import StaffCard from "@/components/StaffCard.vue";
import institute from "@/api/institute";
const router = useRouter();
const route = useRoute();
const toast = useToast();
const store = useStore();
const titleStack = ref(["Hospital", ""]);
const chartData = ref(null);
const fillChartData = () => {
  chartData.value = chartConfig.sampleChartData();
};
const keyValue = ref(false);
const id = ref(route.params.instituteId);
const instituteData = reactive({ value: [] });
onMounted(() => {
  Institute.get(id.value).then((data) => {
    keyValue.value = data?.success;
    console.log("keyValue", keyValue.value);
    // console.log("hospitalitems", hospitalitems);
  });
  // Get Dashboard Data
  institute.getDashbaord(id.value).then((data) => {
    instituteData.value = data?.data;
    console.log("instituteData", instituteData.value);
    console.log("instituteData", instituteData.value.labouringPatients);
  });
});

const hospitalitems = computed(() => {
  return keyValue.value;
});
const titleitems = computed(() => {
  return store.state.title;
});
const colorfull = ref(true);
onMounted(() => {
  fillChartData();
  // Single Staff
  activateTab(1);
  router.push({
    name: "StaffCard",
    params: { instituteId: id.value },
  });
});
const activateTab = (val) => {
  store.commit("setActiveTab", {
    tabNumber: val,
  });
};
const activeNumber = computed(() => {
  return store.state.activeTab;
});

const staffCardItems = computed(() => store.state.staffcards.slice(0, 4));
</script>

<template>
  <section class="bg-gray-40 py-10 h-full">
    <span class="flex w-full px-10 py-2">
      <title-bar :title-stack="titleStack" :to="{ name: 'dashboard' }" />
      <span class="md:text-2xl text-lg text-gray-250 font-semibold">{{
        titleitems
      }}</span>
    </span>
    <section class="px-2 md:px-6 py-6">
      <div class="md:flex">
        <div class="md:w-3/5 w-full md:pr-6">
          <div class="grid grid-cols-1 gap-6 lg:grid-cols-2 mb-6">
            <span>
              <card-widget
                trend="12%"
                trend-type="up"
                color="text-pink-250"
                :number="instituteData.value.labouringPatients"
                label="Labouring Patients"
              />
              <img
                src="@/assets/icons/risk-patient.svg"
                class="absolute -mt-20 ml-60 h-10"
              />
            </span>
            <span>
              <card-widget
                trend="12%"
                trend-type="down"
                color="text-pink-250"
                :number="instituteData.value.highRiskPatients"
                label="High Risk Patient"
              />
              <img
                src="@/assets/icons/risk-patient.svg"
                class="absolute -mt-20 ml-60 h-10"
              />
            </span>
            <span>
              <card-widget
                trend="Overflow"
                trend-type="alert"
                color="text-pink-250"
                :number="instituteData.value.veginalDeliveries"
                label="Vaginal Deliveries"
              />
              <img
                src="@/assets/icons/veginal.svg"
                class="absolute -mt-20 ml-60 h-10"
              />
            </span>
            <span>
              <card-widget
                trend="Overflow"
                trend-type="alert"
                color="text-pink-250"
                :number="instituteData.value.surgicalDeliveries"
                label="Surgical Deleviries"
              />
              <img
                src="@/assets/icons/surgery.svg"
                class="absolute -mt-20 ml-60 h-10"
              />
            </span>
          </div>
        </div>
        <div class="md:w-2/5 w-full md:px-4 px-0 pb-6">
          <div class="h-full md:col-span-2 lg:col-span-1">
            <div
              class="h-full w-full flex py-6 px-4 border border-gray-40 bg-white rounded-lg shadow-lg"
            >
              <div class="w-2/3">
                <div class="flex mb-6" v-if="instituteData">
                  <h3 class="text-3xl font-semibold text-pink-250">0</h3>
                </div>
                <h5 class="text-xl text-black-250 font-semibold mt-2">
                  Total Deliveries
                </h5>

                <table class="w-full text-black-250 mt-4 text-sm font-semibold">
                  <tbody>
                    <tr class="flex">
                      <td class="py-2 flex">
                        <img src="@/assets/icons/pink-dot.svg" />
                        <span class="px-1">Vaginal </span>
                      </td>
                      <td class="py-2 flex">
                        <img src="@/assets/icons/yellow-dot.svg" />
                        <span class="px-1">Surgical </span>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <div class="w-1/3">
                <img src="@/assets/icons/pie-chart.svg" class="w-32" />
              </div>
            </div>
          </div>
        </div>
      </div>
      <section>
        <!-- Tab Bar Start -->
        <div class="mt-6 px-4" style="border-bottom: 2px solid #eaeaea">
          <ul class="flex cursor-pointer text-lg">
            <router-link
              @click="activateTab(1)"
              active-class="active "
              :to="{ name: 'StaffCard', params: { instituteId: id } }"
              class="router-tab mr-1"
              :class="{ tabActive: activeNumber == 1 }"
              v-on:click="activateTab(1)"
            >
              <li class="py-2 px-10">Staff</li></router-link
            >
            <router-link
              @click="activateTab(2)"
              :to="{ name: 'WardCard', params: { instituteId: id } }"
              class="router-tab"
              :class="{ tabActive: activeNumber == 2 }"
              v-on:click="colorfull = false"
            >
              <li class="py-2 px-10">Ward</li></router-link
            >
          </ul>
        </div>

        <!-- Tab Bar End -->
        <!-- Tab Components Start -->
        <router-view> </router-view>
        <!-- Tab Components End -->
      </section>
    </section>
  </section>
</template>
